=== debian/changelog ===
gsad (21.4.4-1) unstable; urgency=medium

  * Initial release (Closes: #1006613)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 May 2022 15:27:45 +0200
