=== debian/control ===
Source: gsad
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               cmake (>= 2.8),
	       clang-format,
	       cppcheck,
               libmicrohttpd-dev (>= 0.9.0),
               libgvm-dev (>= 21.4.2),
               libxslt1-dev,
               doxygen,
	       xmltoman,
               pkg-config,
               libxml2-dev
Standards-Version: 4.6.0
Homepage: https://www.greenbone.net
Vcs-Git: https://salsa.debian.org/pkg-security-team/gsad.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/gsad

Package: gsad
Architecture: any
Depends: lsb-base (>= 3.0-6),
         gvmd (>= 21.4.5),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: greenbone-security-assistant (<< 21.4.4)
Breaks: greenbone-security-assistant (<< 21.4.4)
Description: remote network security auditor - web interface
 The Greenbone Security Assistant HTTP Server connects to the Greebone
 Vulnerability Manager "gvmd" to provide a full-featured user interface for
 vulnerability management.
 .
 This tools was initially provided by the package greenbone-security-assistant.
