## gsad 22.4.0

=== debian/changelog ===
gsad (22.4.0-1) unstable; urgency=medium

  * New upstream version 22.4.0
  * Update debian/copyright
  * Refresh patches
  * Update minimal version of libgvm
  * Bump Standards-Version to 4.6.1 (no change)
  * Remove useless depends on obsolete package lsb-base

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 10:36:07 +0100

gsad (21.4.4-2) unstable; urgency=medium

  * fix the regex for the new glib2.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Sep 2022 15:32:23 +0200
