=== debian/control ===
--- 
+++ 
@@ -3,26 +3,25 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
-Build-Depends: debhelper-compat (= 12),
-               cmake (>= 2.8),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
 	       clang-format,
 	       cppcheck,
-               libmicrohttpd-dev (>= 0.9.0),
-               libgvm-dev (>= 21.4.2),
+               libmicrohttpd-dev,
+               libgvm-dev (>= 22.4.0),
                libxslt1-dev,
                doxygen,
 	       xmltoman,
                pkg-config,
                libxml2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.greenbone.net
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gsad.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/gsad
 
 Package: gsad
 Architecture: any
-Depends: lsb-base (>= 3.0-6),
-         gvmd (>= 21.4.5),
+Depends: gvmd (>= 21.4.5),
          ${shlibs:Depends},
          ${misc:Depends}
 Replaces: greenbone-security-assistant (<< 21.4.4)
