=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,9 +26,9 @@
 pkg_check_modules (LIBMICROHTTPD REQUIRED libmicrohttpd>=0.9.0)
 pkg_check_modules (LIBXML REQUIRED libxml-2.0)
 pkg_check_modules (GLIB REQUIRED glib-2.0>=2.42)
-pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=21.4.1)
-pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=21.4.1)
-pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=21.4.1)
+pkg_check_modules (LIBGVM_BASE REQUIRED libgvm_base>=10.0.0)
+pkg_check_modules (LIBGVM_UTIL REQUIRED libgvm_util>=10.0.0)
+pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=10.0.0)
 pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
 
 message (STATUS "Looking for libgcrypt...")
@@ -91,6 +91,7 @@
                 gsad_session.c
                 gsad_settings.c
                 gsad_user.c
+                gsad_validator.c
                 utils.c
                 validator.c)
 
@@ -141,9 +142,6 @@
   add_definitions (-DGSAD_DATA_DIR="${GSAD_DATA_DIR}")
 endif (GSAD_DATA_DIR)
 
-if (GSAD_PID_DIR)
-  add_definitions (-DGSAD_PID_DIR="${GSAD_PID_DIR}")
-endif (GSAD_PID_DIR)
 
 if (GSAD_CONFIG_DIR)
   add_definitions (-DGSAD_CONFIG_DIR="${GSAD_CONFIG_DIR}")
@@ -185,4 +183,22 @@
 add_custom_target (tags COMMENT "Building tags files...")
 add_dependencies (tags etags ctags)
 
+## Testing
+
+if (BUILD_TESTING)
+  find_package(cgreen REQUIRED)
+
+  add_executable(gsad-validator-test EXCLUDE_FROM_ALL gsad_validator_test.c validator.c)
+
+  target_link_libraries (gsad-validator-test ${CGREEN_LIBRARIES} ${GLIB_LDFLAGS})
+
+
+  add_test (gsad-validator-test gsad-validator-test)
+
+  add_custom_target (tests
+                     DEPENDS
+                     gsad-validator-test
+                     )
+endif(BUILD_TESTING)
+
 ## End
