=== debian/changelog ===
gsad (22.4.1-1) unstable; urgency=medium

  * New upstream version 22.4.1
  * Update debian/copyright
  * Refresh patches
  * Add missing Recommends: greenbone-security-assistant (Closes: #1029711)
  * Add missing directory /usr/share/gvm/gsad/web

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Jan 2023 13:50:24 +0100
