=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
 Depends: gvmd (>= 21.4.5),
          ${shlibs:Depends},
          ${misc:Depends}
+Recommends: greenbone-security-assistant (>= 22.4.0)
 Replaces: greenbone-security-assistant (<< 21.4.4)
 Breaks: greenbone-security-assistant (<< 21.4.4)
 Description: remote network security auditor - web interface
