=== debian/changelog ===
gsad (22.5.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:25:33 +0200

gsad (22.5.1-0kali1) kali-experimental; urgency=medium

  * New upstream version 22.5.0
  * Use recent versions of gvmd and libgvm-dev
  * Bump Standards-Version to 4.6.2 (no change)
  * Update debian/copyright
  * New upstream version 22.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jul 2023 15:28:11 +0200
