=== debian/changelog ===
gsad (22.8.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:55:16 +1100

gsad (22.8.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:51:39 +0000

gsad (22.8.0-1) unstable; urgency=medium

  * Use recent versions of gvmd and libgvm-dev
  * Bump Standards-Version to 4.6.2 (no change)
  * Update debian/copyright
  * New upstream version 22.8.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Nov 2023 10:27:37 +0100
