=== debian/control ===
--- 
+++ 
@@ -1,27 +1,28 @@
 Source: gsad
 Section: admin
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
 	       clang-format,
 	       cppcheck,
                libmicrohttpd-dev,
-               libgvm-dev (>= 22.4.0),
+               libgvm-dev (>= 22.6.3),
                libxslt1-dev,
                doxygen,
 	       xmltoman,
                pkg-config,
                libxml2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.greenbone.net
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gsad.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/gsad
 
 Package: gsad
 Architecture: any
-Depends: gvmd (>= 21.4.5),
+Depends: gvmd (>= 22.5.0),
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: greenbone-security-assistant (>= 22.4.0)
