=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONFDIR=/etc -DLOCALSTATEDIR=/var -DCMAKE_BUILD_TYPE=release -DGSAD_PID_DIR=/run/gsad

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/gsad/run/

override_dh_installinit:
	dh_installinit --no-start
