=== src/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 pkg_check_modules (LIBGVM_GMP REQUIRED libgvm_gmp>=22.6)
 pkg_check_modules (GNUTLS REQUIRED gnutls>=3.2.15)
 pkg_check_modules (ZLIB REQUIRED zlib>=1.2)
+pkg_check_modules (BROTLI libbrotlienc)
 
 message (STATUS "Looking for libgcrypt...")
 find_library (LIBGCRYPT gcrypt)
@@ -63,6 +64,9 @@
 set (LINKER_HARDENING_FLAGS     "-Wl,-z,relro -Wl,-z,now")
 
 set (CMAKE_C_FLAGS              "${CMAKE_C_FLAGS} -Wall -Wformat -Wformat-security")
+if (BROTLI_FOUND)
+  set (CMAKE_C_FLAGS            "${CMAKE_C_FLAGS} -DHAVE_BROTLI=1")
+endif (BROTLI_FOUND)
 
 set (CMAKE_C_FLAGS_DEBUG        "${CMAKE_C_FLAGS_DEBUG} -Werror")
 set (CMAKE_C_FLAGS_RELEASE      "${CMAKE_C_FLAGS_RELEASE} ${HARDENING_FLAGS}")
@@ -73,7 +77,8 @@
                      ${LIBGVM_UTIL_INCLUDE_DIRS}
                      ${LIBGVM_GMP_INCLUDE_DIRS}
                      ${GNUTLS_INCLUDE_DIRS}
-                     ${ZLIB_INCLUDE_DIRS})
+                     ${ZLIB_INCLUDE_DIRS}
+                     ${BROTLI_INCLUDE_DIRS})
 
 find_package (Threads)
 
@@ -104,6 +109,7 @@
                             ${LIBGCRYPT_LDFLAGS}
                             ${GNUTLS_LDFLAGS}
                             ${ZLIB_LDFLAGS}
+                            ${BROTLI_LDFLAGS}
                             ${LIBGVM_BASE_LDFLAGS}
                             ${LIBGVM_UTIL_LDFLAGS}
                             ${LIBGVM_GMP_LDFLAGS}
