=== debian/changelog ===
gsad (22.9.1-2) unstable; urgency=medium

  * Move files from / to /usr (Closes: #1073742)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Jun 2024 15:15:04 +0200

gsad (22.9.1-1) unstable; urgency=medium

  * New upstream version 22.9.1
  * Update minimal version of libgvm22
  * Update debian/copyright
  * Replace pkg-config with pkgconf

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 24 Apr 2024 09:00:04 +0200
