=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: gsad
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                cmake,
 	       clang-format,
 	       cppcheck,
                libmicrohttpd-dev,
-               libgvm-dev (>= 22.6.3),
+               libgvm-dev (>= 22.8.0),
                libxslt1-dev,
                doxygen,
 	       xmltoman,
-               pkg-config,
+               pkgconf,
                libxml2-dev
 Standards-Version: 4.6.2
 Homepage: https://www.greenbone.net
