=== debian/changelog ===
gsad (24.0.0-1) unstable; urgency=medium

  * New upstream version 24.0.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 25 Nov 2024 17:11:33 +0100

gsad (22.12.0-1) unstable; urgency=medium

  * New upstream version 22.12.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Oct 2024 09:39:36 +0200

gsad (22.11.0-1) unstable; urgency=medium

  * New upstream version 22.11.0
  * Add a patch to fix the build (missing flags for libgcrypt)
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 28 Aug 2024 15:57:28 +0200
