=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	       xmltoman,
                pkgconf,
                libxml2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.greenbone.net
 Vcs-Git: https://salsa.debian.org/pkg-security-team/gsad.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/gsad
