## gsad 24.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 message ("-- Configuring gsad")
 
-project (gsad VERSION 24.0.0 LANGUAGES C)
+project (gsad VERSION 24.2.3 LANGUAGES C)
 
 if (NOT DEFINED PROJECT_VERSION_STRING)
    set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -109,19 +109,19 @@
   set (GVMD_RUN_DIR  "/run/gvmd")
 endif (NOT GVMD_RUN_DIR)
 
-
-
 if (NOT GVM_STATE_DIR)
   set (GVM_STATE_DIR "${LOCALSTATEDIR}/lib/gvm")
 else (NOT GVM_STATE_DIR)
   set (GVM_STATE_DIR "${GVM_STATE_DIR}")
 endif (NOT GVM_STATE_DIR)
 
-if (NOT GVM_LOG_DIR)
-  set (GVM_LOG_DIR "${LOCALSTATEDIR}/log/gvm")
-else (NOT GVM_LOG_DIR)
-  set (GVM_LOG_DIR "${GVM_LOG_DIR}")
-endif (NOT GVM_LOG_DIR)
+if (NOT GSAD_LOG_FILE)
+  if (GVM_LOG_DIR)
+    set (GSAD_LOG_FILE "${GVM_LOG_DIR}/gsad.log")
+  else (GVM_LOG_DIR)
+    set (GSAD_LOG_FILE "-")
+  endif (GVM_LOG_DIR)
+endif (NOT GSAD_LOG_FILE)
 
 if (NOT GVM_SERVER_CERTIFICATE)
   set (GVM_SERVER_CERTIFICATE "${GVM_STATE_DIR}/CA/servercert.pem")
