=== debian/changelog ===
gsad (24.2.3-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:05:35 +0200

gsad (24.2.3-1) unstable; urgency=medium

  * New upstream version 24.2.3
  * Update debian/copyright
  * Refresh patches
  * Bump Standards-Version to 4.7.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Mar 2025 11:21:24 +0100
