=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gsad-$1.tar.gz%,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//" \
 https://github.com/greenbone/gsad/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
